[ubuntu/oneiric] texlive-bin 2009-11 (Accepted)

???? ???????? (Ahmed El-Mahmoudy) aelmahmoudy at sabily.org
Wed Aug 24 08:19:04 UTC 2011


texlive-bin (2009-11) unstable; urgency=low

  [ Hilmar Preuße ]
  * disable the LFS support provided by upstream again, it is
    really broken (Reopens: #618033). It:
    - breaks pdflatex on big endian platforms (Closes: #637667)
    - introduced an ABI change on 32-bit platforms (Closes: #637720)

texlive-bin (2009-10) unstable; urgency=low

  [ Hilmar Preuße ]
  * xdvik compilation error with glibc-2.10 and gcc-4.4:
    xdvik-22.84.16-open-mode.patch (Closes: #614257)
  * comment the --disable-largefile switch in upstream build script
    (partial_lfs_support.diff). This hopefully (Closes: #618033). dvips
    still can't write files > 2GB (see #383781).
  * we can use gcc-4.5 on armel too
 
  [ Frank Küster ]
  * Indicate in the description that this package needs a real TeX package
    to function, and add a Recommends on texlive-base (closes: #593782)
  * Make various upstream-provided scripts "set -e".  This closes: #136051
    and is needed by the planned papersize patch to texconfig.
  * The binaries pdftex, dvips, xdvi and dvipdfmx now respect the
    system-wide paper setting as their default if there is no papersize
    information in the input file (see #49149).  It is still highly
    recommended to specify such information explicitly, e.g. using
    hyperref.sty with LaTeX.

texlive-bin (2009-9) unstable; urgency=high

  * Add 73_tex_segfault patch, closes: #633011 (Frank Küster)
    urgency set to high to fix this RC bug and help with poppler transition
  * add texlive-binaries.lintian to override embedded lib t1lib

Date: Wed,  24 Aug 2011 08:06:29 +0000
Changed-By: ???? ???????? (Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org>
Maintainer: Debian TeX Maintainers <debian-tex-maint at lists.debian.org>
Origin: Debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/texlive-bin/2009-11
-------------- next part --------------
Origin: Debian/unstable
Format: 1.7
Date: Wed,  24 Aug 2011 08:06:29 +0000
Source: texlive-bin
Binary: texlive-binaries, libkpathsea5, libkpathsea-dev
Architecture: source
Version: 2009-11
Distribution: oneiric
Urgency: high
Maintainer: Debian TeX Maintainers <debian-tex-maint at lists.debian.org>
Changed-By: ???? ???????? (Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org>
Closes: 136051 593782 614257 618033 633011 637667 637720
Files:
 d4aa97b75f24ff7b247032f744b53622 1391 tex optional texlive-bin_2009-11.dsc
 0af97ce9042b42804b7554b74c1aec69 91228 tex optional texlive-bin_2009-11.diff.gz
Changes:
 texlive-bin (2009-11) unstable; urgency=low
 .
   [ Hilmar Preuße ]
   * disable the LFS support provided by upstream again, it is
     really broken (Reopens: #618033). It:
     - breaks pdflatex on big endian platforms (Closes: #637667)
     - introduced an ABI change on 32-bit platforms (Closes: #637720)
 .
 texlive-bin (2009-10) unstable; urgency=low
 .
   [ Hilmar Preuße ]
   * xdvik compilation error with glibc-2.10 and gcc-4.4:
     xdvik-22.84.16-open-mode.patch (Closes: #614257)
   * comment the --disable-largefile switch in upstream build script
     (partial_lfs_support.diff). This hopefully (Closes: #618033). dvips
     still can't write files > 2GB (see #383781).
   * we can use gcc-4.5 on armel too
  
   [ Frank Küster ]
   * Indicate in the description that this package needs a real TeX package
     to function, and add a Recommends on texlive-base (closes: #593782)
   * Make various upstream-provided scripts "set -e".  This closes: #136051
     and is needed by the planned papersize patch to texconfig.
   * The binaries pdftex, dvips, xdvi and dvipdfmx now respect the
     system-wide paper setting as their default if there is no papersize
     information in the input file (see #49149).  It is still highly
     recommended to specify such information explicitly, e.g. using
     hyperref.sty with LaTeX.
 .
 texlive-bin (2009-9) unstable; urgency=high
 .
   * Add 73_tex_segfault patch, closes: #633011 (Frank Küster)
     urgency set to high to fix this RC bug and help with poppler transition
   * add texlive-binaries.lintian to override embedded lib t1lib



More information about the Oneiric-changes mailing list